<?php
/**
 * Author: dadadezhou <379559090@qq.com>
 * Date: 2022-11-03
 * Time: 15:21
 * Description: 重置密码，使用后请删除（忘记管理员密码时使用）
 */

defined('ROOT_PATH') or exit;

class reset_pwd_control extends control {

	public function index(){
        $html = <<<EOD
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>重置密码</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta http-equiv="Access-Control-Allow-Origin" content="*">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="format-detection" content="telephone=no">
	<link rel="stylesheet" href="../static/layui/lib/layui-v2.6.3/css/layui.css" media="all">
	<!--[if lt IE 9]>
	<script src="https://cdn.staticfile.org/html5shiv/r29/html5.min.js"></script>
	<script src="https://cdn.staticfile.org/respond.js/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>
<body style="background-color: #f2f2f2;">
    <div class="layui-container" style="margin-top: 50px;">
    <div class="layui-row">
        <div class="layui-card">
          <div class="layui-card-header">重置密码（修改后，一定要及时删除该文件哦！！！）</div>
          <div class="layui-card-body">
            <form class="layui-form" action="index.php?reset_pwd-dopost-ajax-1" method="post">
                <div class="layui-form-item">
                    <label class="layui-form-label">用户名</label>
                    <div class="layui-input-inline">
                      <input type="text" name="username" required lay-verify="required" placeholder="请输入用户名" autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">新密码</label>
                    <div class="layui-input-inline">
                      <input type="password" name="password" required lay-verify="required" placeholder="请输入新密码" autocomplete="off" class="layui-input">
                    </div>
                    <div class="layui-form-mid layui-word-aux">6~32位</div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">确认密码</label>
                    <div class="layui-input-inline">
                      <input type="password" name="repassword" required lay-verify="required" placeholder="请再次输入新密码" autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-form-item">
                    <div class="layui-input-block">
                      <button class="layui-btn" lay-submit lay-filter="reset_pwd">修改</button>
                    </div>
                </div>
            </form>
          </div>
        </div>
    </div>
</div>
<script src="../static/layui/lib/jquery-3.4.1/jquery-3.4.1.min.js" charset="utf-8"></script>
<script src="../static/layui/lib/layui-v2.6.3/layui.js" charset="utf-8"></script>
<script>
layui.use('form', function(){
  var form = layui.form,layer = layui.layer;
  
  form.on('submit(reset_pwd)', function(data){
      data = data.field;
    $.post("index.php?reset_pwd-dopost-ajax-1",data,function(res){
        if( res.err == 1){
            var icon = 5;
        }else{
            var icon = 1;
        }
        layer.msg(res.msg, {icon: icon});
        if(res.err==0) setTimeout(function(){ location.href="./"; }, 3000);
        return false;
    },'json');
    return false;
  });
});
</script>
</body>
</html>
EOD;

	    exit($html);
    }

    public function dopost(){
	    if($_POST){
	        $username = R('username','P');
            $password = R('password','P');
            $repassword = R('repassword','P');

            if(empty($username)) {
                E(1, '用户名不能为空');
            }elseif($err = $this->user->check_password($password)) {
                E(1, $err);
            }elseif($password != $repassword) {
                E(1, '确认密码不等于新密码');
            }

            $data = $this->user->get_user_by_username($username);
            if(empty($data)){
                E(1, '用户名不存在！');
            }else{
                $data['salt'] = random(16, 3, '0123456789abcdefghijklmnopqrstuvwxyz'); // 增加破解难度
                $data['password'] = md5(md5($password).$data['salt']);
                if( !$this->user->update($data) ) {
                    E(1, '修改失败');
                }else{
                    E(0, '修改成功，您的新密码是：'.$password);
                }
            }
        }
    }
}
